<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<itemFormativoEsercizio nomeDescrittivo="Rilevatore del senso di marcia e velocità di un carrello" identificatoreArgomento="esercizio23" prerequisiti="analogInput,digitalOutput" tags="Medio,AnalogInput,Software" fondamentale="false" mdPblproblem="false" mdPblnewlearninggoal="false" tempoRichiesto="0" versione="1">
    <mdprerequisitelist>I/O analogico</mdprerequisitelist>
    <mdprerequisitelist>I/O digitale</mdprerequisitelist>
    <mdcomponentlist>Sensore ad effetto Hall analogico + magnete</mdcomponentlist>
    <mdcomponentlist>(Alternativa) Sensore di distanza a ultrasuoni</mdcomponentlist>
    <mdcomponentlist>Buzzer passivo</mdcomponentlist>
    <mdwhy>Combinare le misure di più sensori semplici che restituiscono una singola misura, in modo da ottenere un sensore complesso la cui combinazione delle misure da informazioni aggiuntive.</mdwhy>
    <mdexpectedresult>Posizionare più sensori Hall lungo una retta su cui si farà muovere un carrello con fissato un magnete, i sensori devono avere essere tutti alla stessa distanza predeterminata.&#13;
&#13;
Rilevare la direzione in cui si muove il carrello monitorando l'ordine in cui i sensori rilevano il passaggio del magnete.&#13;
&#13;
Calcolare un valore approssimativo di velocità individuando quando il magnete del carrello è passa esattamente sopra a ciascun sensore e misurando il tempo trascorso nel passaggio da un punto di monitoraggio al successivo.&#13;
&#13;
N.B. Considerato il funzionamento dei sensori hall più comuni, la distanza massima non supererà i 4cm, ma è più che sufficiente ai fini dell'esercizio.</mdexpectedresult>
    <mdextras>Applicando lo stesso criterio ma con più sensori Hall disposti su un cerchio, si può costruire un segnavento, tuttavia dato il numero limitato di GPIO analogici l'unica opzione sarà considerare la distanza del magnete tra coppie di sensori per ottenere le posizioni intermedie.</mdextras>
    <mderraticbehavior></mderraticbehavior>
    <mdcommonerrors></mdcommonerrors>
    <mdlessonlearned>Utilizzare sensori hall analogici, misurando e gestendo via software l'input per ottenere più informazioni dell'equivalente digitale.</mdlessonlearned>
    <mdsolution>Collegare ciascun sensore hall, alla fonte di alimentazione e a un GPIO analogico, nel caso si disponga di sensori sfusi, non su modulo, accertarsi dell'eventuale necessità di componenti aggiuntivi per la connessione e procedere in modo opportuno.</mdsolution>
    <mdpbldetails></mdpbldetails>
</itemFormativoEsercizio>
